import request from '@/utils/request';
import { AxiosPromise } from 'axios';

export const getTableList = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/project/extract/list',
    method: 'get',
    params: query
  });
};
export const addMotivate = (query: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/expert/',
    method: 'post',
    data: query
  });
};
export const updateMotivate = (query: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/expert/',
    method: 'put',
    data: query
  });
};
export const setStatus = (query: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/expert/',
    method: 'post',
    data: query
  });
};
export const deleteMotivate = (query: any): AxiosPromise<any> => {
  return request({
    url: '/zjk-api/project/extract/delete',
    method: 'delete',
    data: query
  });
};
